Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSystemTrayIcon.ActivationReason

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QSystemTrayIcon.ActivationReason

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSystemTrayIcon

    public static final class QSystemTrayIcon.ActivationReason

extends java.lang.Enum
implements QtEnumerator

This enum describes the reason the system tray was activated.

See also:
  `activated()` .

See Also:
  Serialized Form

Field Summary
`static QSystemTrayIcon.ActivationReason` | `Context` The context menu for the system tray entry was requested
`static QSystemTrayIcon.ActivationReason` | `DoubleClick` The system tray entry was double clicked
`static QSystemTrayIcon.ActivationReason` | `MiddleClick` The system tray entry was clicked with the middle mouse button
`static QSystemTrayIcon.ActivationReason` | `Trigger` The system tray entry was clicked
`static QSystemTrayIcon.ActivationReason` | `Unknown` Unknown reason

Method Summary
`static QSystemTrayIcon.ActivationReason` | `resolve(int value)` Returns the QSystemTrayIcon$ActivationReason constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSystemTrayIcon.ActivationReason` | `valueOf(java.lang.String name)`
`static QSystemTrayIcon.ActivationReason[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Unknown

    public static final QSystemTrayIcon.ActivationReason Unknown

  Unknown reason

### Context

    public static final QSystemTrayIcon.ActivationReason Context

  The context menu for the system tray entry was requested

### DoubleClick

    public static final QSystemTrayIcon.ActivationReason DoubleClick

  The system tray entry was double clicked

### Trigger

    public static final QSystemTrayIcon.ActivationReason Trigger

  The system tray entry was clicked

### MiddleClick

    public static final QSystemTrayIcon.ActivationReason MiddleClick

  The system tray entry was clicked with the middle mouse button

Method Detail

### values

    public static QSystemTrayIcon.ActivationReason[] values()

### valueOf

    public static QSystemTrayIcon.ActivationReason valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSystemTrayIcon.ActivationReason resolve(int value)

  Returns the QSystemTrayIcon$ActivationReason constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD